#!/bin/sh
# ----------------------------------------------------------------------------
# /tmp/preinstall.sh -- zsh preinstallation script
#
# Creation   : 2010-02-08 alex
# Last update: $Id: preinstall.sh 23035 2010-02-08 20:46:35Z alex $
#
# Copyright (c) 2010 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

. /var/install/include/eislib

_PACKAGE_NAME='zsh'
_NEEDED_BASE='1.6.4'    # iconv and gettext on eisfair-1, no real need on eisfair-2 and eisxen though

### check base version
if [ ! -f /var/install/bin/check-version ] ||
   [ `/var/install/bin/check-version base ${_NEEDED_BASE}` = 'new' ]
then
    echo
    echo
    colecho "The version of eisfair must be ${_NEEDED_BASE} or higher." rd w brinv
    colecho 'Please update your eisfair system first.' rd w brinv
    echo
    echo
    exit 1
fi

# ----------------------------------------------------------------------------
# Check for old installation
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Update system
# ----------------------------------------------------------------------------

if [ -f /var/install/deinstall/${_PACKAGE_NAME} ]
then
   sh /var/install/deinstall/${_PACKAGE_NAME} update
fi

exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------
